For the complete documentation index, see llms.txt. This page is also available as Markdown.

파라메트릭

파라메트릭 컴포넌트 수정

put

파라메트릭 컴포넌트를 수정한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Body
namestringRequired

이름

Example: 일반하부장(1도어)
parametricTypestringRequired

파라메트릭 유형 (assembly | modeling)

Example: assembly
codestringOptional

코드

Example: PARAM-001
brandCodestringOptional

브랜드 코드

Example: BRAND-001
namespacestringOptional

네임스페이스

Example: kitchen
typestringOptional

타입

Example: baseCabinet
statusstringOptional

상태

Example: ACTIVE
skustringOptional

SKU

Example: SKU-12345
mainMaterialstringOptional

주재료

Example: 원목
subMaterialstringOptional

부재료

Example: 금속
rawMaterialstringOptional

원재료

Example: 참나무
unitstringOptional

단위

Example: 개
versionstringOptional

버전

Example: v1.0
modelingIdstringOptional

모델링 ID

Example: XoczGmj878585A7E7E64F6C
glbUrlstringOptional

GLB URL

Example: https://resources.archisketch.com/components/xxx/model.glb
previewImagestringOptional

미리보기 이미지 URL

Example: https://resources.archisketch.com/components/xxx/preview.png
imagesstring[]Required

이미지 URL 목록

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
put/api/v1/parametric/components/{id}
PUT /api/v1/parametric/components/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1750

{
  "name": "일반하부장(1도어)",
  "parametricType": "assembly",
  "code": "PARAM-001",
  "brandCode": "BRAND-001",
  "namespace": "kitchen",
  "color": {
    "code": "#FFFFFF",
    "name": "화이트"
  },
  "translatedNames": [
    {
      "code": "ko",
      "value": "일반하부장(1도어)"
    }
  ],
  "type": "baseCabinet",
  "status": "ACTIVE",
  "sku": "SKU-12345",
  "dimension": {
    "mm": {
      "width": 0,
      "depth": 0,
      "height": 0
    }
  },
  "retailPrice": {
    "value": 250000,
    "unit": "KRW"
  },
  "factoryPrice": {
    "value": 150000,
    "unit": "KRW"
  },
  "mainMaterial": "원목",
  "subMaterial": "금속",
  "rawMaterial": "참나무",
  "unit": "개",
  "version": "v1.0",
  "extra": {
    "componentCategory": "kitchen",
    "componentType": "baseCabinet"
  },
  "modelingId": "XoczGmj878585A7E7E64F6C",
  "category": {
    "categoryIds": [
      "Z1SDooF4BD41C4EB7DF44AD"
    ]
  },
  "parameters": [
    {
      "displayName": "너비",
      "referenceName": "width",
      "type": "NUMBER",
      "valueInfo": {
        "usage": "NUMBER",
        "value": 600,
        "optionType": "RANGE",
        "options": {
          "min": "10",
          "max": "2400",
          "stepSize": "1"
        }
      },
      "priority": 1,
      "description": "가구의 너비를 설정합니다",
      "hideCondition": "width > 1000",
      "enterpriseParameterId": "507f1f77bcf86cd799439011"
    }
  ],
  "compositions": [
    {
      "componentId": "XoczGmj878585A7E7E64F6C",
      "recipeJson": {
        "type": "fixed"
      },
      "animation": {
        "type": "AXIS_ROTATION",
        "animationName": "Open",
        "animationDuration": 1,
        "animationDelay": 0,
        "animationDirection": "NORMAL",
        "animationIterationCount": 1,
        "pivot": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "axis": {
          "x": 0,
          "y": 1,
          "z": 0
        },
        "angle": -1.5707963267948966,
        "direction": {
          "x": 0,
          "y": 1,
          "z": 0
        },
        "distance": "D"
      }
    }
  ],
  "parametricModeling": {
    "name": "모델링",
    "json": "{}"
  },
  "glbUrl": "https://resources.archisketch.com/components/xxx/model.glb",
  "previewImage": "https://resources.archisketch.com/components/xxx/preview.png",
  "images": [],
  "editorSetting": {
    "editorType": "STANDING_ITEM",
    "dimensionLock": {
      "width": false,
      "depth": false,
      "height": false
    }
  }
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "componentId": "text"
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

파라메트릭 컴포넌트 생성

post

새 파라메트릭 컴포넌트를 생성한다.

Authorizations
x-api-keystringRequired
Body
namestringRequired

이름

Example: 일반하부장(1도어)
parametricTypestringRequired

파라메트릭 유형 (assembly | modeling)

Example: assembly
codestringOptional

코드

Example: PARAM-001
brandCodestringOptional

브랜드 코드

Example: BRAND-001
namespacestringOptional

네임스페이스

Example: kitchen
typestringOptional

타입

Example: baseCabinet
statusstringOptional

상태

Example: ACTIVE
skustringOptional

SKU

Example: SKU-12345
mainMaterialstringOptional

주재료

Example: 원목
subMaterialstringOptional

부재료

Example: 금속
rawMaterialstringOptional

원재료

Example: 참나무
unitstringOptional

단위

Example: 개
versionstringOptional

버전

Example: v1.0
modelingIdstringOptional

모델링 ID

Example: XoczGmj878585A7E7E64F6C
glbUrlstringOptional

GLB URL

Example: https://resources.archisketch.com/components/xxx/model.glb
isFinalbooleanOptional

최종 부품 여부

Default: falseExample: true
isPersonalbooleanOptional

개인 라이브러리 여부. true이면 enterpriseId 없이 저장됨

Default: falseExample: false
previewImagestringOptional

미리보기 이미지 URL

Example: https://resources.archisketch.com/components/xxx/preview.png
imagesstring[]Required

이미지 URL 목록

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
post/api/v1/parametric
POST /api/v1/parametric HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1784

{
  "name": "일반하부장(1도어)",
  "parametricType": "assembly",
  "code": "PARAM-001",
  "brandCode": "BRAND-001",
  "namespace": "kitchen",
  "color": {
    "code": "#FFFFFF",
    "name": "화이트"
  },
  "translatedNames": [
    {
      "code": "ko",
      "value": "일반하부장(1도어)"
    }
  ],
  "type": "baseCabinet",
  "status": "ACTIVE",
  "sku": "SKU-12345",
  "dimension": {
    "mm": {
      "width": 0,
      "depth": 0,
      "height": 0
    }
  },
  "retailPrice": {
    "value": 250000,
    "unit": "KRW"
  },
  "factoryPrice": {
    "value": 150000,
    "unit": "KRW"
  },
  "mainMaterial": "원목",
  "subMaterial": "금속",
  "rawMaterial": "참나무",
  "unit": "개",
  "version": "v1.0",
  "extra": {
    "componentCategory": "kitchen",
    "componentType": "baseCabinet"
  },
  "modelingId": "XoczGmj878585A7E7E64F6C",
  "category": {
    "categoryIds": [
      "Z1SDooF4BD41C4EB7DF44AD"
    ]
  },
  "parameters": [
    {
      "displayName": "너비",
      "referenceName": "width",
      "type": "NUMBER",
      "valueInfo": {
        "usage": "NUMBER",
        "value": 600,
        "optionType": "RANGE",
        "options": {
          "min": "10",
          "max": "2400",
          "stepSize": "1"
        }
      },
      "priority": 1,
      "description": "가구의 너비를 설정합니다",
      "hideCondition": "width > 1000",
      "enterpriseParameterId": "507f1f77bcf86cd799439011"
    }
  ],
  "compositions": [
    {
      "componentId": "XoczGmj878585A7E7E64F6C",
      "recipeJson": {
        "type": "fixed"
      },
      "animation": {
        "type": "AXIS_ROTATION",
        "animationName": "Open",
        "animationDuration": 1,
        "animationDelay": 0,
        "animationDirection": "NORMAL",
        "animationIterationCount": 1,
        "pivot": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "axis": {
          "x": 0,
          "y": 1,
          "z": 0
        },
        "angle": -1.5707963267948966,
        "direction": {
          "x": 0,
          "y": 1,
          "z": 0
        },
        "distance": "D"
      }
    }
  ],
  "parametricModeling": {
    "name": "모델링",
    "json": "{}"
  },
  "glbUrl": "https://resources.archisketch.com/components/xxx/model.glb",
  "isFinal": true,
  "isPersonal": false,
  "previewImage": "https://resources.archisketch.com/components/xxx/preview.png",
  "images": [],
  "editorSetting": {
    "editorType": "STANDING_ITEM",
    "dimensionLock": {
      "width": false,
      "depth": false,
      "height": false
    }
  }
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "componentId": "text"
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 파라미터 목록 조회

get

파라메트릭 컴포넌트의 파라미터 목록을 조회한다.

Authorizations
x-api-keystringRequired
Path parameters
componentIdstringRequired

컴포넌트 ID

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
get/api/v1/parametric/components/{componentId}/parameters
GET /api/v1/parametric/components/{componentId}/parameters HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "parameters": [
      {
        "id": "text",
        "displayName": "text",
        "referenceName": "text",
        "type": "SYSTEM",
        "valueInfo": {
          "usage": "text",
          "value": "text",
          "optionType": "RANGE",
          "options": {
            "min": "text",
            "max": "text",
            "stepSize": "text",
            "values": [
              "text"
            ],
            "textWithImagesValues": [
              {
                "text": "text",
                "imageUrl": "text"
              }
            ],
            "formulaExpression": "text"
          }
        },
        "priority": 1,
        "description": "text",
        "hideCondition": "text",
        "enterpriseParameterId": "text"
      }
    ]
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 파라미터 생성

post

파라메트릭 컴포넌트에 파라미터를 생성한다.

Authorizations
x-api-keystringRequired
Path parameters
componentIdstringRequired

컴포넌트 ID

Body
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
post/api/v1/parametric/components/{componentId}/parameters
POST /api/v1/parametric/components/{componentId}/parameters HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 640

{
  "parameters": [
    {
      "displayName": "너비",
      "referenceName": "width",
      "type": "NUMBER",
      "valueInfo": {
        "usage": "NUMBER",
        "value": 600,
        "optionType": "RANGE",
        "rangeOption": {
          "min": 300,
          "max": 2000,
          "stepSize": 100
        },
        "candidateOption": {
          "values": [
            "화이트",
            "블랙",
            "그레이"
          ]
        },
        "categoryOption": {
          "values": [
            "text"
          ]
        },
        "unlimitedOption": {
          "values": [
            "text"
          ]
        },
        "formulaOption": {
          "formulaExpression": "width * 2"
        },
        "textWithImagesOption": {
          "values": [
            {
              "text": "화이트",
              "imageUrl": "https://example.com/images/white.png"
            }
          ]
        }
      },
      "priority": 1,
      "description": "가구의 너비를 설정합니다",
      "hideCondition": "width > 1000",
      "enterpriseParameterId": "507f1f77bcf86cd799439011"
    }
  ]
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "parameters": [
      {
        "id": "text",
        "displayName": "text",
        "referenceName": "text",
        "type": "SYSTEM",
        "valueInfo": {
          "usage": "text",
          "value": "text",
          "optionType": "RANGE",
          "options": {
            "min": "text",
            "max": "text",
            "stepSize": "text",
            "values": [
              "text"
            ],
            "textWithImagesValues": [
              {
                "text": "text",
                "imageUrl": "text"
              }
            ],
            "formulaExpression": "text"
          }
        },
        "priority": 1,
        "description": "text",
        "hideCondition": "text",
        "enterpriseParameterId": "text"
      }
    ]
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

파라미터 정보 수정

post

파라미터 정보를 수정한다.

Authorizations
x-api-keystringRequired
Path parameters
parameterIdstringRequired

파라미터 ID

Body
displayNamestringRequired

표시 이름

Example: 너비
referenceNamestringRequired

참조 이름

Example: width
typestring · enumRequired

파라미터 타입

Example: NUMBERPossible values:
priorityinteger · int32Required

우선순위

Example: 1
descriptionstringOptional

설명

Example: 가구의 너비를 설정합니다
hideConditionstringOptional

숨김 조건 표현식

Example: width > 1000
enterpriseParameterIdstringOptional

기업 파라미터 ID

Example: 507f1f77bcf86cd799439011
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
dataanyOptional

응답 데이터

post/api/v1/parametric/components/parameters/{parameterId}
POST /api/v1/parametric/components/parameters/{parameterId} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 623

{
  "displayName": "너비",
  "referenceName": "width",
  "type": "NUMBER",
  "valueInfo": {
    "usage": "NUMBER",
    "value": 600,
    "optionType": "RANGE",
    "rangeOption": {
      "min": 300,
      "max": 2000,
      "stepSize": 100
    },
    "candidateOption": {
      "values": [
        "화이트",
        "블랙",
        "그레이"
      ]
    },
    "categoryOption": {
      "values": [
        "text"
      ]
    },
    "unlimitedOption": {
      "values": [
        "text"
      ]
    },
    "formulaOption": {
      "formulaExpression": "width * 2"
    },
    "textWithImagesOption": {
      "values": [
        {
          "text": "화이트",
          "imageUrl": "https://example.com/images/white.png"
        }
      ]
    }
  },
  "priority": 1,
  "description": "가구의 너비를 설정합니다",
  "hideCondition": "width > 1000",
  "enterpriseParameterId": "507f1f77bcf86cd799439011"
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": null,
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

파라미터 단건 삭제

delete

파라미터를 단건 삭제한다.

Authorizations
x-api-keystringRequired
Path parameters
parameterIdstringRequired

파라미터 ID

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
dataanyOptional

응답 데이터

delete/api/v1/parametric/components/parameters/{parameterId}
DELETE /api/v1/parametric/components/parameters/{parameterId} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": null,
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

파라미터 다건 삭제

delete

파라미터를 다건 삭제한다.

Authorizations
x-api-keystringRequired
Body
parameterIdsstring[]Required

삭제할 파라미터 ID 목록

Example: ["507f1f77bcf86cd799439011"]
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
dataanyOptional

응답 데이터

delete/api/v1/parametric/components/parameters
DELETE /api/v1/parametric/components/parameters HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "parameterIds": [
    "507f1f77bcf86cd799439011"
  ]
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": null,
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

마지막 업데이트

도움이 되었나요?